Subject: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Sat, 16 Feb 2013 00:34:50 +0100

Eli,

A quick one-minute answer on what I can, not being able to test right now (and
almost going to bed as well)...

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Date: Fri, 15 Feb 2013 21:50:27 +0100
>> Cc: [email-masked]
>> 
>> >> - emacs-24-r111270-20130215-w32-i386.zip (58.94 MB), 1 hr ago
>> >
>> > That one please.
>> 
>> Check your inbox, I've sent you a screencast link (which I prefer to keep
>> private, for not exposing private stuff), but please know that version does
>> not work at all for my test case:
>> 
>> - using Helm: buffers shown, locate not displayed...
>
> Any error messages?  Anything in *Messages*?

Not that I saw, no.

>> - creating or opening an Org file (I wanted to test the export but couldn't
>>   get that far: max-lisp-eval-depth problem!
>
> That's got to be unrelated.  Does it help to enlarge
> max-lisp-eval-depth?
>
>> - reading my emails with Gnus: server is inaccessible
>
> Is that right from the start?

Yes, but that could be related to a precondition to connect to my mail server:
decrypting my authinfo.gpg. If that fails (or doesn't succeed), the rest won't
work.

> If so, can you open any other network
> connection, like fetch some URL with the url-retrieve?
>
> Can you launch a process?  E.g., does this work, if evaluated in
> *scratch*?
>
>   (setq proc (start-process-shell-command
> 		"locate<0>" "locate-results<0>"
> 		"locate eee"))
>   (sleep-for 20)
>   (delete-process proc)
>
> If you attach GDB, do you see any "warning" messages?
>
> I'm at a loss here...  The changes don't affect any code that launches
> subprocesses or open network streams.  They just affect what happens
> when there are no more free slots for additional subprocesses, which
> should only happen once you've launched at least 32 of them.

I clearly want to believe you, but did you see the live video: the difference
is quite impressive between what's possible in one process and what's not in
the other.

> Can you show the contents of child_procs[] array, like you did before, when
> you cannot see the results of 'locate'?

I hope to give you more details by tomorrow.

Best regards,
  Seb

-- 
Sebastien Vauban